#!/bin/sh
# Copyright (C) 2008 - 2012 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

# Start system process that require a 30 second delay
sleep 30

# Make sure sonosweb startes

echo "Restart Sonos Web." >> /var/tmp/startup.log
if /bin/systemctl is-enabled sonosweb.service | grep enabled > /dev/null
	then
	/bin/systemctl restart sonosweb.service > /dev/null 2>&1
fi

# Make sure VortexBox player startes
if /bin/systemctl is-enabled vortexbox-player.service | grep enabled > /dev/null
	then
	/usr/bin/php /opt/vortexbox/mpd_config.php
fi

# Start user defined process that require a 30 second delay
if [ -f /usr/local/sbin/30sec_delay.sh ]
	then
	/usr/local/sbin/30sec_delay.sh &
fi