<?php
// Copyright (C) 2008 - 2014 Small Green Computer
//
$configfile = '/var/www/html/config/playergui.cfg';
$config = unserialize(file_get_contents($configfile));

if (array_key_exists(0,$config)) {
$localaudio = array('blue','green','pink','black');
$PlayerNumber=0;
foreach($config as $device) {
  if(array_key_exists('NAME', $device)) {
	$squeezeliteConfigFileName = '/lib/systemd/system/squeezelite'.$PlayerNumber.'.service';

	$squeezeliteString = '';
	if (in_array($device['DEVICENAME'], $localaudio)) {
		$squeezeliteString .= ' -a 4096:1024:16:0 ';
	};
	$squeezeliteString .= ' -s localhost';
	$squeezeliteString .= ' -o '. $device['DEVICENAME'];
	$squeezeliteString .= ' -m '. $device['MAC'];
	$squeezeliteString .= ' -n '.'"'.$device['NAME'].'"';

	$squeezeliteConfigFileData = '[Unit]'."\n";
	$squeezeliteConfigFileData .= 'Description=Squeezelite Player'."\n";
	$squeezeliteConfigFileData .= 'After=local-fs.target syslog.target network.target'."\n";
	$squeezeliteConfigFileData .= ''."\n";
	$squeezeliteConfigFileData .= '[Service]'."\n";
	$squeezeliteConfigFileData .= 'ControlGroup=cpu:/'."\n";
	$squeezeliteConfigFileData .= 'Nice=-10'."\n";
	$squeezeliteConfigFileData .= 'LimitRTPRIO=50'."\n";
	$squeezeliteConfigFileData .= 'LimitMEMLOCK=infinity'."\n";
	$squeezeliteConfigFileData .= ''."\n";
	$squeezeliteConfigFileData .= 'User=squeezelite'."\n";
	$squeezeliteConfigFileData .= 'ExecStart=/usr/bin/squeezelite'.$squeezeliteString."\n";
	$squeezeliteConfigFileData .= 'TimeoutSec=5'."\n";
	$squeezeliteConfigFileData .= ''."\n";
	$squeezeliteConfigFileData .= '[Install]'."\n";
	$squeezeliteConfigFileData .= 'WantedBy=multi-user.target'."\n";
	
	$fp = fopen($squeezeliteConfigFileName,'w');
	fwrite($fp,$squeezeliteConfigFileData);
	fclose($fp);
	
	$PlayerNumber++;
  }
}
}
?>