#!/bin/bash
# Copyright (C) 2008 - 2012 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# Get DVDid
#
# Changelog
#
# Tues May 10 2011 Ron Olsen <ronolsen@comcast.net>
# * Use /opt/vortexbox/get-cddevice to get the device to mount.

HASH=`date +%s%N`
mkdir -p /tmp/dvdid$HASH
CDDEVICE=`/opt/vortexbox/get-cddevice`
mount $CDDEVICE /tmp/dvdid$HASH &> /dev/null 
/usr/bin/dvdid /tmp/dvdid$HASH
umount /tmp/dvdid$HASH
rm -rf /tmp/dvdid$HASH
