#!/usr/bin/php
<?php
// Copyright (C) 2008 - 2012 vortexbox.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

$server_name="http://api.vortexbox.org/vbid.php";
$output_file="/var/www/html/news.html";

if (file_exists('/etc/vortexbox/vortexbox-vbid')) {
print "Found vortexbox-vbid.\n";
}
else
{
print "Didn't find vortexbox-vbid, we must create one.\n";
$dump = system('/sbin/ifconfig | grep --max-count=1 HWaddr');
preg_match('/[A-F0-9]{2}:[A-F0-9]{2}:[A-F0-9]{2}:[A-F0-9]{2}:[A-F0-9]{2}:[A-F0-9]{2}/i', $dump, $mac);
$mac_address = $mac[0];
//encrypting mac address
$vbid = MD5(date(DATE_RFC822).$mac_address);
system("echo ".$vbid." > /etc/vortexbox/vortexbox-vbid");
}

if (file_exists('/etc/cron.d/getnews')) {
print "Found getnews.\n";
}
else
{
system("echo 'MAILTO=\"\"' > /etc/cron.d/getnews");
system("echo \"$((RANDOM%60)) $((RANDOM%7)) * * * root /usr/bin/php /opt/vortexbox/getnews.php > /dev/null 2>&1\" >> /etc/cron.d/getnews");
}

$vbid = system('cat /etc/vortexbox/vortexbox-vbid');
$version = system('cat /etc/vortexbox/vortexbox-version');
$vendor = system('cat /etc/vortexbox/vortexbox-vendor');

system("/opt/vortexbox/myvb.php > /dev/null 2>&1");

//check if api.vortexbox.org is up

$response = system("curl -s http://api.vortexbox.org/status.php");
if($response =="up") {
	$wgetstring ="/usr/bin/wget --output-file=/dev/null --output-document=".$output_file." ";
	$wgetstring.=$server_name;
	$wgetstring.="?id=".$vbid;
	$wgetstring.="\&v=".$version;
	$wgetstring.="\&vn=".$vendor;

	system($wgetstring);
}

print "\n";

?>
