#!/usr/bin/php
<?php
// Copyright (C) 2008 - 2012 vortexbox.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

$smbfile = "/etc/samba/smb.conf";
$lines = file($smbfile);
$smblines = array();
 
foreach ($lines as $line_num=>$line) {
	if ( ! preg_match("/#.*/", $line) ) {
	// Contains non-whitespace?
	if ( preg_match("/\S/", $line) ) {
	list( $key, $value ) = explode( "=", trim( $line ), 2);
	$smblines[trim($key)] = trim($value);
	}
  }
}

$workgroup = $smblines['workgroup'];
$smbname = "vortexbox";
if (isset($smblines['netbios name']) & !$smblines['netbios name'] =="") { $smbname = strtolower($smblines['netbios name']); }

echo $smbname;
?>