#!/bin/sh
# Copyright (C) 2008 - 2012 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

IFCONFIG=`which ifconfig 2>/dev/null||echo /sbin/ifconfig`
IPADDR=`$IFCONFIG eth0|gawk '/inet addr/{print $2}'|gawk -F: '{print $2}'`
IPADDRTXT=${IPADDR//1/ one, }
IPADDRTXT=${IPADDRTXT//2/ two, }
IPADDRTXT=${IPADDRTXT//3/ three, }
IPADDRTXT=${IPADDRTXT//4/ four, }
IPADDRTXT=${IPADDRTXT//5/ five,}
IPADDRTXT=${IPADDRTXT//6/ six, }
IPADDRTXT=${IPADDRTXT//7/ seven, }
IPADDRTXT=${IPADDRTXT//8/ eight, }
IPADDRTXT=${IPADDRTXT//9/ nine, }
IPADDRTXT=${IPADDRTXT//0/ zero, }

WELCOMEMESSAGE="vortexbox online at $IPADDRTXT"

echo ${WELCOMEMESSAGE//./" dot, "} | flite


