#!/usr/bin/perl
# Copyright (C) 2012 Doug Asherman
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

my $dev=`/opt/vortexbox/get-cddevice`;

chomp $dev;

mkdir("/var/tmp/cdout");

open TOWAV, "ls \*.flac|";

while (<TOWAV>) {
	chomp;
        $string = "$_";
	# there might be other characters that need to be quoted as well
        # once I figure out how to do this in bash, I can translate
        # this to a shell script.
	$string =~ s/(['"()&])/\\$1/g;
        system "flac -d --output-prefix /var/tmp/cdout/ $string";
}

my $curdir = getpwd;
chdir "/var/tmp/cdout";

# run cdrecord
system  "cdrecord -v -eject dev=$dev -pad -dao -audio \*.wav";
exec "cd $curdir";
system  "rm -rf /var/tmp/cdout";

exit;
