#!/bin/sh
# Copyright (C) 2008 - 2012 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

IPADDR=`/sbin/ifconfig eth0 2>/dev/null|gawk '/inet addr/{print $2}'|gawk -F: '{print $2}'`
IPADDR2=`/sbin/ifconfig eth1 2>/dev/null|gawk '/inet addr/{print $2}'|gawk -F: '{print $2}'`
IPADDR3=`/sbin/ifconfig br0 2>/dev/null|gawk '/inet addr/{print $2}'|gawk -F: '{print $2}'`

echo ""
echo "Welcome to your VortexBox"
echo "-------------------------------------------------"
echo ""
echo "To access to your VortexBox web GUI use this URL"

if [ "$IPADDR" != "" ]; then
	echo "http://$IPADDR";
elif [ "$IPADDR2" != "" ]; then
	echo "http://$IPADDR2";
elif [ "$IPADDR3" != "" ]; then
	echo "http://$IPADDR3";	
else	
	echo "No IP address for eth0: (DHCP not working?)";
fi

echo ""



