<?php
// Copyright (C) 2008 - 2012 vortexbox.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

error_reporting(E_ERROR);

$configfile = "/var/www/html/config/playergui.cfg";
$configall = file_get_contents($configfile);
$config = unserialize($configall); 

$vbplayer="";
$vbplayerfile = fopen("/etc/vortexbox-player/mac_list.conf",'w');
$x=0;
foreach ($config as $devarray) {
  if (isset($devarray['NAME'])) {
	$mpdfile = fopen("/etc/vortexbox-player/mpd".$x.".conf",'w');

	$configcontent="# Created by Configure VortexBox Player on ".date('F j, Y, g:i a')."\n";
	$configcontent.="# If you edit this file it will be over written the next time you make\n";
	$configcontent.="# changes in the Configure VortexBox Player GUI.\n";
	$configcontent.="#"."\n";
	if ($x == 0) {
		$configcontent.='music_directory  "/storage/music/flac"'."\n";
		$configcontent.='playlist_directory  "/var/lib/mpd/playlists"'."\n";
		$configcontent.='db_file  "/var/lib/mpd/database"'."\n";
		$configcontent.='log_file  "/var/log/mpd.log"'."\n";
		$configcontent.='pid_file  "/var/lib/mpd/pid"'."\n";
		$configcontent.='state_file  "/var/lib/mpd/state"'."\n";
		$configcontent.='sticker_file  "/var/lib/mpd/sticker.sql"'."\n";
}
if (file_exists("/etc/vortexbox/mpd_auto_update.no")) {
		$configcontent.='auto_update "no"'."\n";
	} else {
		$configcontent.='auto_update "yes"'."\n";
	}
	$configcontent.='port  "'.(6600 + $x).'"'."\n";
	$configcontent.='zeroconf_enabled  "yes"'."\n";
	$configcontent.='zeroconf_name  "'.$devarray['NAME'].'"'."\n";
	$configcontent.="\n";
	if (strtoupper($devarray['DEVICENAME']) != "DEFAULT") {
		$devicelist=(preg_split('/\s+/', $devarray['DEVICENAME']));
		$count=1;
		foreach ($devicelist as $v) {
			$configcontent.='audio_output {'."\n";
			$configcontent.='	type		"alsa"'."\n";
			$configcontent.='	name		"'.$devarray['NAME']."-".$count.'"'."\n";
			$configcontent.='	device		"'.trim($v).'"'."\n";
			$configcontent.='	dsd_usb     "yes"'."\n";
			if ($devarray['softvol_ischecked'] == "softvol") { $configcontent.='	mixer_type	"software"'."\n";}
			$configcontent.='}'."\n";
			$count++;
		}
	}
	fwrite($mpdfile,$configcontent);
	fclose($mpdfile);
	$vbplayer.=$devarray['MAC']."\n";
	}
$x++;
}

fwrite($vbplayerfile,$vbplayer);
fclose($vbplayerfile);

// restart vortexbox-player
exec("/bin/systemctl restart vortexbox-player.service");

?>