#!/usr/bin/php
<?php
// Copyright (C) 2008 - 2012 vortexbox.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

function fget_contents() {
    $args = func_get_args();
    $contents = @call_user_func_array('file_get_contents', $args);
    if ($contents === false) {
        $contents ='ERROR';
    } 
        return $contents;
}

$IPaddress = exec("ifconfig eth0 | egrep -o '([0-9]{1,3}\.){3}[0-9]{1,3}' | sed -n '1p'");

if ($IPaddress == "") { $IPaddress = exec("ifconfig | egrep -o '([0-9]{1,3}\.){3}[0-9]{1,3}' | sed -n '1p'");}

if ( ! filter_var($IPaddress, FILTER_VALIDATE_IP)) {
	preg_match( '/(\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})/', $IPaddress, $m );
	$IPaddress = $m[0];
} 

$smbfile = "/etc/samba/smb.conf";
$lines = file($smbfile);
$smblines = array();
foreach ($lines as $line_num=>$line) {
                if ( ! preg_match("/#.*/", $line) ) {
                # Contains non-whitespace?
                if ( preg_match("/\S/", $line) ) {
                list( $key, $value ) = explode( "=", trim( $line ), 2);
                $smblines[trim($key)] = trim($value);
                }
          }
}
$vbname = strtolower($smblines['netbios name']);

$url = 'http://api.vortexbox.org/myvb2.php';
$data = array(	
				'vbip' => trim($IPaddress),
				'vbid' => trim(fget_contents('/etc/vortexbox/vortexbox-vbid')),
				'vbname' => trim($vbname),
				'version' => trim(fget_contents('/etc/vortexbox/vortexbox-version')),
				'vendor' => trim(fget_contents('/etc/vortexbox/vortexbox-vendor')),
				'oem' => trim(fget_contents('/etc/vortexbox/vortexbox-oem'))				
				);

//check if api.vortexbox.org is up
$response = system("/usr/bin/curl -s http://api.vortexbox.org/status.php");
if($response =="up") {
	$ch = curl_init();
	curl_setopt($ch,CURLOPT_URL, $url);
	curl_setopt($ch,CURLOPT_POST, 1);
	curl_setopt($ch,CURLOPT_POSTFIELDS, $data);
	$result = curl_exec($ch);
	curl_close($ch);
}
?>