<?php
// Copyright (C) 2008 - 2012 vortexbox.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
$player = $argv[1];
$configfile = '/var/www/html/config/playergui.cfg';

if (file_exists($configfile)) {
    $config = unserialize(file_get_contents($configfile));
} else {
// build default if required
    $config = array( 0 => array ( 'DEVICENAME' => 'Default', 'NAME' => 'VortexBox Player', 'MAC' => RandomMac(), 'softvol_ischecked' => 'no' ),
	1 => array ('softvol_ischecked' => 'no' ),
	2 => array ('softvol_ischecked' => 'no' ),
	3 => array ('softvol_ischecked' => 'no' ),
	4 => array ('softvol_ischecked' => 'no' ),
	);
	$fp = fopen($configfile,'w');
	fwrite($fp,serialize($config));
	fclose($fp);	
}

if (isset($config[$player]['NAME'])) {
	$MPDport = $player + 6600;
	$MAC = $config[$player]['MAC'];
	$PlayerName = $config[$player]['NAME'];
	echo '/usr/bin/vortexbox-player -p '.$MPDport.' -m '.$MAC.' -n '.rawurlencode($PlayerName).' localhost';
} else {
	echo "0";
}

unset($config);
?>